Subject: Re: [bitcoin-dev] [BIP Proposal] Buried Deployments

From: Jorge Timón <[email-masked]>
Date: Thu, 17 Nov 2016 00:58:19 +0100

On Wed, Nov 16, 2016 at 3:18 PM, Thomas Kerin via bitcoin-dev
<[email-masked]> wrote:
> BIP30 actually was given similar treatment after a reasonable amount of time
> had passed.
> https://github.com/bitcoin/bitcoin/blob/master/src/main.cpp#L2392

This is not really the same. BIP30 is not validated after BIP34 is
active because blocks complying with BIP34 will always necessarily
comply with BIP30 (ie coinbases cannot be duplicated after they
include the block height).